WinRas.RASIPADDR (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinRas, class: RASIPADDR

Package com.sun.jna.platform.win32

# Class WinRas.RASIPADDR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASIPADDR

Enclosing interface:
  WinRas

@FieldOrder("addr") public static class WinRas.RASIPADDR extends Structure
The RASIPADDR structure contains an IP address of the form "a.b.c.d". The RASENTRY structure uses this structure to specify the IP addresses of various servers associated with an entry in a RAS phone book.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `addr`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RASIPADDR()`
  `RASIPADDR(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### addr

    public byte[] addr

- ## Constructor Details

  - ### RASIPADDR

    public RASIPADDR()

  - ### RASIPADDR

    public RASIPADDR(Pointer memory)